# $Revision: 1.10 $, $Date: 2012/02/12 09:19:37 $
#
# TODO: bcond for non-gtk gui (gfceux)
#
Summary:	FCE Ultra - Linux Nintendo Entertainment System emulator
Summary(pl.UTF-8):	FCE Ultra - linuksowy emulator systemu Nintendo
Name:		fceultra
Version:	2.1.5
Release:	4
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/fceultra/fceux-%{version}.src.tar.bz2
# Source0-md5:	e8b20e62bbbb061b1a59d51b47c827bd
Patch0:		%{name}-build.patch
URL:		http://fceultra.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL >= 1.2.14
BuildRequires:	SDL_gfx-devel >= 1.2.14
BuildRequires:	gtk+2-devel
BuildRequires:	pkgconfig
BuildRequires:	scons
BuildRequires:	zenity
Requires:	zenity
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FCE Ultra is a cross platform, NTSC and PAL Famicom/NES emulator.

%description -l pl.UTF-8
FCE Ultra to wieloplatformowy emulator konsoli Famicom/NES/Pegasus.

%prep
%setup -q -n fceu%{version}
%undos src/file.cpp
%patch0 -p1

%build
CC="%{__cc}" \
CXX="%{__cxx}" \
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
LIBS="-ldl" \
%scons

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

cp -a bin/fceux $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Authors.txt README-SDL TODO-PROJECT TODO-SDL changelog.txt documentation
%attr(755,root,root) %{_bindir}/fceux

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fceultra.spec,v $
Revision 1.10  2012/02/12 09:19:37  adamg
- fix -build.patch
- pass CC, CXX, CFLAGS, LDFLAGS and LIBS
- rlease 4 (rebuild against libpng-1.5)

Revision 1.9  2012/02/12 08:09:51  arekm
- release 3

Revision 1.8  2012/02/07 22:00:12  arekm
- release 2

Revision 1.7  2011/08/16 10:29:01  lisu
- updated to 2.1.5
- added -build.patch

Revision 1.6  2011/02/02 18:12:34  sparky
- BR: gtk+2-devel, pkgconfig

Revision 1.5  2011/01/25 10:03:39  lisu
- up to 2.1.4a
- more verbose files
- cosmetics
- TODO

Revision 1.4  2009/05/11 19:57:17  cactus
- fix docs

Revision 1.3  2009/05/11 19:25:32  cactus
- up to 2.1.0a

Revision 1.2  2008/07/19 10:21:17  cactus
- clean ups
- rel 1

Revision 1.1  2008/07/19 10:12:23  cactus
- initial

